Subject: Re: [PATCH v3 1/1] ci(osx): use new location of the `perforce` cask

From: SZEDER Gábor <[email-masked]>
Date: Wed, 20 Nov 2019 23:54:39 +0100

On Wed, Nov 20, 2019 at 10:18:39AM +0900, Junio C Hamano wrote:
> Subject: ci(osx): update homebrew-cask repository with less noise
> 
> The OSX CI build procedure updates the homebrew-cask repository
> before attempting to install perforce again, after seeing an
> installation failure.  This involves a "git pull" that by default
> computes and outputs diffstat, which would only grow as the time
> goes by and the repository cast in stone in the CI build image
> becomes more and more stale relative to the upstream repository in
> the outside world.

Minor clarification: I, too, thought that the CI build images are cast
in stone, but the Travis CI build images are definitely not (don't
know about Azure Pipelines), but receive smaller updates from time to
time, including updates to their Homebrew database.  Such a recent
update necessitated commit 7d4733c501 (ci: fix GCC install in the
Travis CI GCC OSX job, 2019-10-24).  I contacted Travis CI support
about it, and they confirmed.

> Suppress the diffstat to both save cycles to generate it, and strain
> on the eyeballs to skip it.
> 
> Reported-by: SZEDER Gábor <[email-masked]>
> Helped-by: Johannes Schindelin <[email-masked]>
> Signed-off-by: Junio C Hamano <[email-masked]>
> ---
>  ci/install-dependencies.sh | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
> 
> diff --git a/ci/install-dependencies.sh b/ci/install-dependencies.sh
> index 4e64a19112..b6b4f4707f 100755
> --- a/ci/install-dependencies.sh
> +++ b/ci/install-dependencies.sh
> @@ -42,7 +42,8 @@ osx-clang|osx-gcc)
>  	brew link --force gettext
>  	brew cask install perforce || {
>  		# Update the definitions and try again
> -		git -C "$(brew --repository)"/Library/Taps/homebrew/homebrew-cask pull &&
> +		cask_repo="$(brew --repository)"/Library/Taps/homebrew/homebrew-cask &&
> +		git -C "$cask_repo" pull --no-stat &&

Oh, a '--no-stat' option; I looked at the man page, but stopped
scrolling after finding '--quiet'...

The patch looks obviously good, thanks.

>  		brew cask install perforce
>  	} ||
>  	brew install caskroom/cask/perforce